> ## Documentation Index
> Fetch the complete documentation index at: https://camelai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Rename thread (partial)

> Partially update the title of a thread.



## OpenAPI

````yaml https://api.camelai.com/api/schema/ patch /api/v1/threads/{id}/
openapi: 3.0.3
info:
  title: camelAI API
  version: 1.0.0 (v1)
  description: API for camelAI - AI-powered data analytics platform
servers:
  - url: https://api.camelai.com
    description: camelAI API server
security: []
paths:
  /api/v1/threads/{id}/:
    patch:
      tags:
        - threads
      summary: Rename thread (partial)
      description: Partially update the title of a thread.
      operationId: threads_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedThreadPartialRenameRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Thread'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThreadNotFoundResponsePartialRename'
          description: ''
      security:
        - ApiKeyAuth: []
        - {}
components:
  schemas:
    PatchedThreadPartialRenameRequest:
      type: object
      properties:
        title:
          type: string
          minLength: 1
          description: New title for the thread
    Thread:
      type: object
      description: Serializer for Thread model.
      properties:
        id:
          type: integer
          readOnly: true
        title:
          type: string
          maxLength: 255
        created_at:
          type: string
          format: date-time
          readOnly: true
        last_modified:
          type: string
          format: date-time
          readOnly: true
        connection_ids:
          description: List of connection IDs that were used in this thread
        connection_names:
          type: string
          readOnly: true
          description: List of connection names associated with this thread
        message_count:
          type: string
          readOnly: true
          description: Total number of messages in the thread
        model:
          enum:
            - sonnet-4
            - sonnet-4.5
            - haiku-4.5
            - o3
            - o4-mini
            - gpt-4.1
            - gpt-5
            - gpt-5-codex
          type: string
          x-spec-enum-id: a6f2cb8ae8b721d1
          description: |-
            The model used for this thread

            * `sonnet-4` - Sonnet 4
            * `sonnet-4.5` - Sonnet 4.5
            * `haiku-4.5` - Haiku 4.5
            * `o3` - o3
            * `o4-mini` - o4-mini
            * `gpt-4.1` - GPT-4.1
            * `gpt-5` - GPT-5
            * `gpt-5-codex` - GPT-5 Codex
        source:
          enum:
            - UI
            - API
            - MCP
          type: string
          x-spec-enum-id: 5aae49abdf40e222
          readOnly: true
          description: |-
            How this thread was created

            * `UI` - Web UI
            * `API` - REST API
            * `MCP` - MCP Server
        uid:
          type: string
          readOnly: true
          nullable: true
          description: User identifier who created this thread
      required:
        - connection_names
        - created_at
        - id
        - last_modified
        - message_count
        - source
        - title
        - uid
    ThreadNotFoundResponsePartialRename:
      type: object
      properties:
        detail:
          type: string
          description: Not found error message
      required:
        - detail
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer scheme

````